org.apache.myfaces.trinidad.render

## Class XhtmlConstants

- java.lang.Object
- - org.apache.myfaces.trinidad.render.XhtmlConstants

-     public final class XhtmlConstants
      extends Object

  This class contains some useful constants for (X)HTML rendering.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALIGN_ATTRIBUTE`
    `static String` | `COLS_ATTRIBUTE`
    `static String` | `COLSPAN_ATTRIBUTE`
    `static String` | `DIR_ATTRIBUTE_VALUE`
    `static String` | `DIV_ELEMENT`
    `static String` | `EMPTY_STRING_ATTRIBUTE_VALUE`
    `static String` | `FACET_PORTLET` A portlet facet; when supported, this facet should result in a version of page content optimized for use in portlets.
    `static String` | `FIELDSET_ELEMENT`
    `static String` | `H_ALIGN_END` Horizontal alignment constant for end alignment; right alignment will be used in left-to-right languages, left alignment in right-to-left languages.
    `static List<String>` | `HEADER_ELEMENTS`
    `static String` | `HEIGHT_ATTRIBUTE`
    `static String` | `HREF_ATTRIBUTE`
    `static String` | `ID_ATTRIBUTE`
    `static String` | `LEFT_ATTRIBUTE_VALUE`
    `static String` | `LEGEND_ELEMENT`
    `static String` | `LINK_ELEMENT`
    `static String` | `MIDDLE_ATTRIBUTE_VALUE`
    `static char` | `NBSP_CHAR` Unicode character for non-breaking space
    `static String` | `NBSP_STRING` String containing Unicode character for non-breaking space
    `static String` | `NOWRAP_ATTRIBUTE`
    `static String` | `ONCLICK_ATTRIBUTE`
    `static String` | `ONE_HUNDRED_PERCENT_ATTRIBUTE_VALUE`
    `static String` | `PARAGRAPH_ELEMENT`
    `static String` | `RIGHT_ATTRIBUTE_VALUE`
    `static String` | `ROWS_ATTRIBUTE`
    `static String` | `ROWSPAN_ATTRIBUTE`
    `static String` | `SCRIPT_ELEMENT`
    `static String` | `SCRIPT_NAME`
    `static String` | `SIZE_ATTRIBUTE`
    `static String` | `SPAN_ELEMENT`
    `static String` | `STYLE_ATTRIBUTE`
    `static String` | `TABLE_BODY_ELEMENT`
    `static String` | `TABLE_DATA_ELEMENT`
    `static String` | `TABLE_ELEMENT`
    `static String` | `TABLE_HEADER_ELEMENT`
    `static String` | `TABLE_ROW_ELEMENT`
    `static String` | `V_ALIGN_MIDDLE` Vertical alignment constant for centering.
    `static String` | `V_ALIGN_TOP` Vertical alignment constant for top alignment.
    `static String` | `VALIGN_ATTRIBUTE`
    `static String` | `WIDTH_ATTRIBUTE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACET_PORTLET

          public static final String FACET_PORTLET

      A portlet facet; when supported, this facet should result in a version of page content optimized for use in portlets.
      See Also:
        Constant Field Values

    - #### SCRIPT_NAME

          public static final String SCRIPT_NAME

      See Also:
        Constant Field Values

    - #### H_ALIGN_END

          public static final String H_ALIGN_END

      Horizontal alignment constant for end alignment; right alignment will be used in left-to-right languages, left alignment in right-to-left languages.
      See Also:
        Constant Field Values

    - #### V_ALIGN_MIDDLE

          public static final String V_ALIGN_MIDDLE

      Vertical alignment constant for centering.
      See Also:
        Constant Field Values

    - #### V_ALIGN_TOP

          public static final String V_ALIGN_TOP

      Vertical alignment constant for top alignment.
      See Also:
        Constant Field Values

    - #### DIV_ELEMENT

          public static final String DIV_ELEMENT

      See Also:
        Constant Field Values

    - #### HEADER_ELEMENTS

          public static final List<String> HEADER_ELEMENTS

    - #### LINK_ELEMENT

          public static final String LINK_ELEMENT

      See Also:
        Constant Field Values

    - #### PARAGRAPH_ELEMENT

          public static final String PARAGRAPH_ELEMENT

      See Also:
        Constant Field Values

    - #### SCRIPT_ELEMENT

          public static final String SCRIPT_ELEMENT

      See Also:
        Constant Field Values

    - #### SPAN_ELEMENT

          public static final String SPAN_ELEMENT

      See Also:
        Constant Field Values

    - #### TABLE_DATA_ELEMENT

          public static final String TABLE_DATA_ELEMENT

      See Also:
        Constant Field Values

    - #### TABLE_BODY_ELEMENT

          public static final String TABLE_BODY_ELEMENT

      See Also:
        Constant Field Values

    - #### TABLE_ELEMENT

          public static final String TABLE_ELEMENT

      See Also:
        Constant Field Values

    - #### TABLE_HEADER_ELEMENT

          public static final String TABLE_HEADER_ELEMENT

      See Also:
        Constant Field Values

    - #### TABLE_ROW_ELEMENT

          public static final String TABLE_ROW_ELEMENT

      See Also:
        Constant Field Values

    - #### FIELDSET_ELEMENT

          public static final String FIELDSET_ELEMENT

      See Also:
        Constant Field Values

    - #### LEGEND_ELEMENT

          public static final String LEGEND_ELEMENT

      See Also:
        Constant Field Values

    - #### NBSP_CHAR

          public static final char NBSP_CHAR

      Unicode character for non-breaking space
      See Also:
        Constant Field Values

    - #### NBSP_STRING

          public static final String NBSP_STRING

      String containing Unicode character for non-breaking space

    - #### ALIGN_ATTRIBUTE

          public static final String ALIGN_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### COLS_ATTRIBUTE

          public static final String COLS_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### COLSPAN_ATTRIBUTE

          public static final String COLSPAN_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### HEIGHT_ATTRIBUTE

          public static final String HEIGHT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### HREF_ATTRIBUTE

          public static final String HREF_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ID_ATTRIBUTE

          public static final String ID_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### NOWRAP_ATTRIBUTE

          public static final String NOWRAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ONCLICK_ATTRIBUTE

          public static final String ONCLICK_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ROWS_ATTRIBUTE

          public static final String ROWS_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ROWSPAN_ATTRIBUTE

          public static final String ROWSPAN_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SIZE_ATTRIBUTE

          public static final String SIZE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### STYLE_ATTRIBUTE

          public static final String STYLE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### VALIGN_ATTRIBUTE

          public static final String VALIGN_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### WIDTH_ATTRIBUTE

          public static final String WIDTH_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### DIR_ATTRIBUTE_VALUE

          public static final String DIR_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### EMPTY_STRING_ATTRIBUTE_VALUE

          public static final String EMPTY_STRING_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### LEFT_ATTRIBUTE_VALUE

          public static final String LEFT_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### MIDDLE_ATTRIBUTE_VALUE

          public static final String MIDDLE_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### ONE_HUNDRED_PERCENT_ATTRIBUTE_VALUE

          public static final String ONE_HUNDRED_PERCENT_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

    - #### RIGHT_ATTRIBUTE_VALUE

          public static final String RIGHT_ATTRIBUTE_VALUE

      See Also:
        Constant Field Values

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.